﻿Type=Service
Version=5.78
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	#ExcludeFromLibrary: false
#End Region

Sub Process_Globals
	Dim Srv_Notification As Notification	'Notification needed for StartForeground
	Dim SRV_NOTIFICATION_ID As Int =42
	Dim myGps As GPS
End Sub

Sub Service_Create
	If Srv_Notification.IsInitialized = False Then
		Srv_Notification.Initialize
		Srv_Notification.Icon = "icon"
		Srv_Notification.SetInfo("test title", "test body", Main)
		Srv_Notification.OnGoingEvent = True
		Srv_Notification.Sound = False
		Srv_Notification.Vibrate = False
		Srv_Notification.Notify(SRV_NOTIFICATION_ID)  
	End If
	Service.StartForeground(SRV_NOTIFICATION_ID, Srv_Notification)
End Sub

Sub Service_Start (StartingIntent As Intent)
	myGps.Initialize("myGps")
	myGps.Start(0,0)	 'This statement causes problem
End Sub

Sub Application_Error (Error As Exception, StackTrace As String) As Boolean
	'Log("Application Error")	    'This staement causes problem
	Return True
End Sub

Sub Service_Destroy
End Sub

Sub myGps_LocationChanged (Location1 As Location)
	Log("LocationChanged")
End Sub

'---- Solution
'Sub myGps_Stoart
'	myGps.Start(0,0)	 'This staement causes problem
'End Sub
'Sub myGps_Stop
'	myGps.Stop
'End Sub